#include <sys/types.h>
#include <stdio.h>
#include <bsnmp/asn1.h>
#include <bsnmp/snmp.h>
#include <bsnmp/snmpagent.h>
#include "ping_tree.h"

const struct snmp_node ping_ctree[] = {
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 0, }}, "pingCount", SNMP_NODE_LEAF, SNMP_SYNTAX_INTEGER, op_ping, 0, 0, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 0, }}, "pingIndex", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 1, }}, "pingHost", SNMP_NODE_COLUMN, SNMP_SYNTAX_OCTETSTRING, op_pingentry, 0|SNMP_NODE_CANSET, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 2, }}, "pingInterval", SNMP_NODE_COLUMN, SNMP_SYNTAX_TIMETICKS, op_pingentry, 0|SNMP_NODE_CANSET, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 3, }}, "pingHistory", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0|SNMP_NODE_CANSET, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 10, }}, "pingResponses", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 11, }}, "pingDropped", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 12, }}, "pingLatencyAvg", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 13, }}, "pingLatencyMin", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 204, 1, 14, }}, "pingLatencyMax", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_pingentry, 0, 0x11, NULL, NULL },
};

